
#dialogDefult {
  padding: 20px;
  background-color: yellow !important;
  color: red;
}
.page.account-page.order-list-page .page-title h1 {
  margin-top: 2%;
  text-align: center;
}

    .page.account-page.customer-info-page .page-body .fieldset .form-fields .inputs input#HouseNumber {
      width: 100%;
    }

.fieldset-company-details {
  display: none;
}

.block.block-account-navigation.desktop {
  /*top: 244px;
  left: 1215px;*/
  width: 90%;
  height: 760px;
  background: var(--unnamed-color-ffffff) 0% 0% no-repeat padding-box;
  background: #FFFFFF 0% 0% no-repeat padding-box;
  box-shadow: 0px 3px 6px #00000029;
  /*opacity: 1;*/
}

.block-account-navigation.block .list a {
  position: relative;
  display: block;
  padding: 15px 25px 15px 20px;
  max-width: 100%;
  font-size: 16px;
  text-transform: uppercase;
  font-weight: normal;
  color: #212529;
  transition: all .2s ease;
  /*text-align: right;*/
  background: #FFFFFF 0% 0% no-repeat padding-box;
  border-bottom: 1px solid #EAEAEA;
}

  .block-account-navigation.block .list a:after {
    display: none;
  }

.fieldset-accept-Newsletter {
  display: none;
}

.block-account-navigation.block .list a.active {
  background-color: #F7F7F7;
  border: none;
  color: black;
  font-size: 16px;
  font-weight: bold;
}

.account-page {
  background-color: white;
  box-shadow: 0px 3px 6px #00000029;
}

.customer-info-page .page-body, .page.account-page.address-edit-page .page-body {
  border: none;
}

.section.address-item, .section.order-item {
  float: right;
  display: flex;
  flex-direction: column;
  padding: 18px;
  height: max-content !important;
  min-height: 140px;
}

.address-list .address-item .title {
  padding: 0;
  margin-bottom: 0;
}

 .customer-info-page .buttons {
  text-align: left;
  position: initial;
  display: flex;
  flex-direction: column;
  align-items: center;
}


  .account-page .title strong {
    font-weight: 300;
  }

.button-2.delete-address-button {
  background-image: url('../../images/samples/delete.svg');
  background-color: white;
}

.button-2.edit-address-button {
  background-image: url('../../images/samples/edit-icon.png');
  background-color: white;
  margin: 0;
}

input#Address_HasElevator {
  display: none;
}

.edit-address {
  display: grid;
  grid-template-columns: 50% 50%;
  width: 100%;
  grid-gap: 2%;
  row-gap: 6%;
}

  .edit-address .inputs {
    margin: 0;
  }

.address-edit-page .page-body {
  padding: 20px;
  width: 100%;
  margin: 0;
  border-radius: 3px;
  border: 1px solid #eeeeee;
  background-color: #fff;
  max-width: 100%;
  padding-right: 0;
}

.html-account-page .page-title {
  padding-right: 0;
}


.edit-address .buttons {
  margin-top: 5%;
  text-align: right;
}

input.button-2.delete-address-button.account-page .button-2 {
  border: none;
  padding: 0 20px;
  height: 40px;
  line-height: 40px;
  border-radius: 3px;
  vertical-align: top;
  background-color: #f79132;
  font-size: 0px;
  color: white;
}

  input.button-2.delete-address-button.account-page .button-2 :hover {
    background-color: white;
  }

.page.order-details-page .Order-Summary-Title {
  background-color: #EAEAEA;
  height: 50px;
  color: black;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.Order-Summary-Title .title {
  width: 100%;
}

.button-2.edit-address-button {
  background-image: url('../../images/samples/edit.svg');
}

  input.button-2.order-details-button:hover {
    color: white;
  }

.button-2.edit-address-button, .button-2.delete-address-button {
  border: none;
  border-radius: 3px;
  width: 30px;
  height: 30px;
  margin: 0;
  background-color: white;
  background-position: center;
  background-repeat: no-repeat;
  font-size: 0;
  padding: 0;
}

.address-list .add-button.address-item:before {
  display: none;
}

.address-list .add-button.address-item {
  border: none;
  padding: 0;
}

.add-button.address-item {
  border: none;
  padding: 0;
  float: left;
  width: 100%;
  text-align: left;
  margin-bottom: 4%;
}

button.add-service-call, button.table-cell.button-1.save-activity-button {
  border: none;
  float: left;
  margin-bottom: 4%;
  border-radius: 3px;
  height: 40px;
  /*background-color: #3cbac0;*/
  width: auto;
  padding: 0 3%;
  color: white;
  margin-top: 5%;
}

button.table-cell.button-1.save-activity-button {
  float: right;
}

.page.account-page.service-call-page form {
  margin: auto;
  display: flex;
  flex-direction: column;
  grid-gap: 20px;
}

.page.account-page.service-call-page .customer-details {
  display: flex;
  justify-content: center;
  gap: 9px;
}

.page.account-page.service-call-page .customer-details div {
  width: auto;
}

  .page.account-page.service-call-page .customer-details div input {
  text-align: center;
  }

.button-1.list-group-item.disabled.ng-binding {
  line-height: unset;
  height: auto;
}

.topLineAdresses .page.account-page.address-list-page .page-title h1, .page.account-page.address-list-page .page-title {
  padding: 0;
  font-size: 25px;
  margin-top: 2%;
  width: 100%;
  color: black;
}

.topLineAdresses {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.page.account-page.address-edit-page .page-body .page-title, .page.account-page.customer-info-page .page-title, .page.account-page.downloadable-products-page .page-title {
  padding: 0;
}

.page.account-page.order-list-page .page-title {
  text-align: right;
  padding-right: 0;
}

.add-button.address-item:before {
  display: none;
}

.order-item li {
  margin-bottom: 3px;
  font-size: 16px;
  color: #212529;
  line-height: 1.3;
}

.customer-info-page .page-body {
  padding: 0;
}

td.download {
  width: 18%;
}

.page.account-page.change-password-page .inputs {
  text-align: right;
  margin-top: 11px;
}

.page.account-page.downloadable-products-page .page-body {
  margin-top: 8%;
}

li.reward-points {
  display: none;
}

ul.order-overview-content.service-call {
  float: right;
  display: flex;
  flex-direction: column;
  /*padding: 0;*/
  margin: 0;
  /*box-shadow: 3px 3px 10px #0000001a;
  border: none;*/
}

button.table-cell.button-1.save-activity-button {
  margin: 0;
}

.page.order-details-page .table-wrapper, .table-cell.customer-needs {
  width: 100%;
}

.table-cell.customer-needs {
  display: flex;
  gap: 10px;
  border-top: px solid black;
  border-bottom: 1px solid black;
  padding: 0.5% 0;
}

button#updateServiceCallActivity:before {
    content: url('../../images/samples/edit.svg');
    transition: transform 0.3s ease;
}

button#updateServiceCallActivity:hover:before {
    /*animation: bounce 0.6s ease infinite;*/
    animation: wiggle 0.4s ease-in-out infinite alternate;
}

@keyframes wiggle {
    0% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(-3px);
    }

    100% {
        transform: translateX(3px);
    }
}

    button#updateServiceCallActivity {
        font-size: 0;
        background-color: transparent;
    }

.table-row.table-row-box-on-mobile {
  background-color: #F0F0F0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 1%;
}

table-header .action-type-title-service-call {
background-color: #B9B9B9;
padding: 1%;
margin-top: 1%;
}

.title-customer-needs {
  font-weight: bold;
}

.date-service-call span {
  padding: 5px 10px;
  font-weight: normal;
  border: 1px solid lightgray;
  height: 45px;
  align-content: center;
  border-radius: 5px;
}

  .date-service-call-container .create-date {
    display: flex;
    align-items: center;
    gap: 30px;
    margin-top: 2%;
  }

.page.account-page.service-call-page button.end-service-call {
    height: 49px;
    border-radius: 0.25rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    font-size: 1.2rem;
    font-weight: bold;
    letter-spacing: 2px;
}


@media (max-width: 768px) {
    .date-service-call-container {
    flex-direction: column;
  }
}

  @media (max-width: 1024px) {
    .date-service-call-container .location {
      display: flex;
      flex-direction: column !important;
    }

    .date-service-call.ng-binding {
      display: flex;
      flex-direction: column;
    }

    .date-service-call-container .create-date {
      justify-content: center;
    }

    button .add-service-call, button.table-cell.button-1.save-activity-button {
      margin-left: 5%;
    }

    .form-row.form-group.date-of-birth {
      display: flex;
      flex-wrap: nowrap;
      flex-direction: column;
      align-items: flex-start;
    }

      .form-row.form-group.date-of-birth .date-picker-wrapper {
        display: flex;
        flex-wrap: wrap;
      }

    .page-title.address-list-page {
      text-align: center;
    }

    .inputs_zip_address > label, .containHouseNumber_2 .inputs > label, .containHouseNumber_1 .inputs > label, .edit-address .inputs > label, .page.account-page.customer-info-page .fieldset .form-fields .inputs > label {
      text-align: start;
    }

    .account-page .edit-address {
      margin: 0;
    }

    .address-edit-page .page-body {
      padding: 10px;
      width: 100%;
      margin: 0;
      border-radius: 3px;
      border: 1px solid #eeeeee;
      background-color: #fff;
      max-width: 100%;
    }

    .section.address-item, .section.order-item {
      height: 70% !important;
      text-align: right;
      float: right;
      display: flex;
      flex-direction: column;
      padding: 18px;
      width: 100%;
      box-shadow: 3px 3px #0000001A;
    }

      .section.address-item .info {
        margin: 0;
      }

    .customer-info-page .page-body {
      padding: 0;
    }

    .account-page {
      padding: 10px;
      box-shadow: none;
    }

    input#save-info-button, input.button-1.save-address-button {
      width: 100%;
      margin-top: 5%;
    }

    .select-navigation {
      padding: 10px 16px;
      background-color: #f6f6f6;
      text-align: center;
    }

      .select-navigation select {
        background-color: #fff;
        width: 100%;
      }

    .topLineAdresses {
      display: flex;
      flex-direction: row;
      align-items: flex-end;
      padding: 10px;
      justify-content: flex-end;
    }

    .table-cell.customer-needs {
      flex-direction: column;
    }

    ul.order-overview-content.service-call li span {
      min-width: 140px !important;
    }
  }

  @media (min-width: 1024px) {
    .date-service-call, .date-service-call-container .location {
      font-weight: bold;
      display: flex;
      flex-direction: column;
      gap: 5px;
      width: 100%;
    }


    .page.order-details-page .order-overview-service-call {
      display: flex;
      align-items: flex-end;
      justify-content: space-between;
      border-bottom: 1px solid black;
      padding-bottom: 2%;
    }
  }
